Bug 456832 - GConf Schemas get corrupted upon update
GConf Schemas get corrupted upon update
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: GConf2 (Show other bugs)
9
i386 Linux
low Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-27 18:43 EDT by Orlando Arias
Modified: 2014-01-21 18:03 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:23:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orlando Arias 2008-07-27 18:43:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.1pre) Gecko/2008062222 Firefox/3.0.1pre (Swiftfox)

Description of problem:
Not exactly sure what's causing this bug, but on a fresh Fedora install (as in FORMAT HDDs + install) on my dad's custom built machine, GConf schemas get corrupted for some reason. I haven't been able to find the problem, even copying the schemas from my machine to his yields no results.
Attached is part of the update process I ran today on the machine. Will paste smolt profile of the machine after I'm done updating.

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. Install fedora
2. Update

Actual Results:
GConf Schemas break.

Expected Results:
Sanity being kept within GConf schemas

Additional info:
Failed to load file "/etc/gconf/gconf.xml.defaults/%gconf-tree-sr@Latn.xml": Error on line 933 char 64: Element 'local_3chema' was closed, but the currently open element is 'local_schema'
Failed to load file "/etc/gconf/gconf.xml.defaults/%gconf-tree-he.xml": Error on line 4817 char 57: '' is not a valid character following the close element name 'local'; the allowed character is '>'
  Updating  : libgweather                  ##################### [ 66/534]
Failed to load file "/etc/gconf/gconf.xml.defaults/%gconf-tree-mr.xml": Error on line 6367 char 127: Invalid UTF-8 encoded text - not valid '                                                           <longdesc>&quot;command&quot; &#2350;&#2343;&#2381;&#2351;&#2375; &#2357;&#2352;&#2381;&#2339;&#2367;&#2340; &#2310;&#2332;&#2381;&#2334;&#2366;&#2357;&#2354;&#2368; &quot;ghelp&quot; URL &#2354;&#2366; &#2360;&#2370;&#2330;&#2367;&#2340; &#2325;&#2352;&#2368;&#2340; &#2309;&#2360;&#2354;&#2381;&#2351;&#2366;&#2360; &#2326;&#2352;&#2375; &#2310;&#2361;&#2375;.</longdesc>
                                                                </local_schema>
                                                        </entry>
                                                </dir>
                                                <dir name="trash">
                                                        <entry name="needs_terminal">
                                                                <local_schema short_desc="&#2310;&#2342;&#2375;&#2358; &#2335;&#2352;&#2381;&#2350;&#2367;&#2344;&#2354; &#2350;&#2343;&#2381;&#2351;&#2375; &#2330;&#2366;&#2354;&#2357;&#2366;">
                                                                            <longdesc>&#2351;&#2366; &#2346;&#2381;&#2352;&#2325;&#2366;&#2352;&#2330;&#2375; URL &#2361;&#2366;&#2340;&#2366;&#2355;&#2339;&#2381;&#2351;&#2366; &#2325;&#2352;&#2368;&#2340;&#2366; &#2335;&#2352;&#2381;&#2350;&#2367;&#2344;&#2354; &#2357;&#2352; &#2310;&#2342;&#2375;&#2358; &#2310;&#2338;&#2355;&#2340; &#2309;&#2360;&#2354;&#2381;&#2351;&#2366;&#2360; &#2326;&#2352;&#2375; &#2310;&#2361;&#2375;.</longdesc>
                                                                            </local_schema>
                                                                    </entry>
                                                                    <entry name="command">
                                                                            <local_schema short_desc="&quot;trash&quot; URL &#2325;&#2352;&#2368;&#2340;&#2366; &#2361;&#2373;&#2344;&#2381;&#2337;&#2354;&#2352;">
                                                                                      <longdesc>&quot;trash&quot; URL &#2361;&#2366;&#2340;&#2366;&#2354;&#2339;&#2381;&#2351;&#2366;&#2360;&#2366;&#2336;&#2368; &#2309;&#2360;&#2339;&#2366;&#2352;&#2368; &#2310;&#2332;&#2381;&#2334;&#2366;&#2357;&#2354;&#2368;, &#2332;&#2352; &#2325;&#2366;&#2352;&#2381;&#2351;&#2352;&#2340; &#2309;&#2360;&#2375;&#2354; &#2340;&#2352;.</longdesc>
                                                                                  </local_schema>
                                                                          </entry>
                                                                          <entry name="enabled">
                                                                                  <local_schema short_desc="&#2360;&#2370;&#2330;&#2367;&#2340; &#2310;&#2342;&#2375;&#2358;&#2344;&#2375; &quot;trash&quot; URL &#2361;&#2366;&#2340;&#2366;&#2355;&#2366;&#2357;&#2375; &#65533;&#65533;&#65533;&#2368; &#2344;&#2366;&#2361;&#2368;">
                                                                                              <longdesc>&quot;command&quot; &#2350;&#2343;&#2381;&#2351;&#2375; &#2357;&#2352;&#2381;&#2339;&#2367;&#2340; &#2310;&#2332;&#2381;&#2334;&#2366;&#2357;&#2354;&#2368; &quot;trash&quot; URL &#2354;&#2366; &#2360;&#2370;&#2330;&#2367;&#2340; &#2325;&#2352;&#2368;&#2340; &#2309;&#2360;&#2354;&#2381;&#2351;&#2366;&#2360; &#2326;&#2352;&#2375; &#2310;&#2361;&#2375;.</longdesc>
</local_schema>
</entry>
</dir>
</dir>
<dir name="peripherals">
        <dir name="mouse">
                <entry name="cursor_size">
                        <local_schema short_desc="&#2325;&#2352;&#2381;&#2360;&#2352; &#2310;&#2325;&#2366;&#2352;">
                                 <longdesc>cursor_theme &#2330;&#2381;&#2351;&#2366; &#2360;&#2306;&#2342;&#2352;&#2381;&#2349; &#2309;&#2306;&#2340;&#2352;&#2381;&#2327;&#2340; &#2325;&#2352;&#2381;&#2360;&#2352;&#2330;&#2375; &#2310;&#2325;&#2366;&#2352;.</longdesc>
                                </local_schema>
                        </entry>
                        <entry name="cursor_theme">
                                <local_schema short_desc="&#2325;&#2352;&#2381;&#2360;&#2352; &#2360;&#2369;&#2340;&#2381;&#2352;&#2351;&#2379;&#2332;&#2344;&#2366;">
                                           <longdesc>&#2325;&#2352;&#2381;&#2360;&#2352; &#2360;&#2369;&#2340;&#2381;&#2352;&#2351;&#2379;&#2332;&#2344;&#2366; &#2344;&#2366;&#2357;. Xcursor, &#2332;&#2360;&#2375; XFree86 4.3 &#2357; &#2346;&#2369;&#2338;&#2368;&#2354; &#2360;&#2350;&#2352;&#2381;&#2341;&#2368;&#2340; Xserver &#2340;&#2352;&#2381;&#2347;&#2375;&#2330; &#2357;&#2366;&#2346;&#2352; &#2325;&#2375;&#2354;&#2366; &#2332;&#2366;&#2340;&#2379;.</longdesc>
                                            </local_schema>
                                    </entry>
                                    <entry name="cursor_font">
                                            <local_schema short_desc="&#2325;&#2352;&#2381;&#2360;&#2352; &#2347;&#2377;&#2344;&#2381;&#2335;">
                                                      <longdesc>&#2325;&#2352;&#2381;&#2360;&#2352;&#2330;&#2375; &#2347;&#2377;&#2344;&#2381;&#2335; &#2344;&#2366;&#2357;. &#2309;&#2344;&#2367;&#2358;&#2381;&#2330;&#2367;&#2340; &#2325;&#2375;&#2354;&#2381;&#2351;&#2366;&#2360;, &#2350;&#2369;&#2354;&#2349;&#2370;&#2340; &#2347;&#2377;&#2344;&#2381;&#2335; &#2357;&#2366;&#2346;&#2352;&#2354;&#2375;'
Failed to load file "/etc/gconf/gconf.xml.defaults/%gconf-tree-ru.xml": Line 1951 character 1: Element <en4ry> is not allowed inside a <dir> element
Failed to load file "/etc/gconf/gconf.xml.defaults/%gconf-tree-es.xml": Error on line 7241 char 64: Element 'local_3chema' was closed, but the currently open element is 'local_schema'
Failed to load file "/etc/gconf/gconf.xml.defaults/%gconf-tree-nb.xml": Error on line 5628: Character ' ' is not valid inside an entity name
  Updating  : cdparanoia-libs              ##################### [ 67/534]
  Updating  : libvorbis                    ##################### [ 68/534]
  Updating  : logrotate                    ##################### [ 69/534]
  Updating  : rsyslog                      ##################### [ 70/534]
  Updating  : xorg-x11-server-utils        ##################### [ 71/534]
  Updating  : xorg-x11-xinit               ##################### [ 72/534]
  Updating  : libtdb                       ##################### [ 73/534]
  Updating  : glibc-common                 ###################   [ 74/534]
Comment 1 Orlando Arias 2008-07-27 18:47:34 EDT
His smolt profile:
http://www.smolts.org/client/show/pub_49413211-12c7-4c6a-964f-672603d6cb47
Comment 2 seth vidal 2008-07-27 19:00:59 EDT
reassigning to libgweather as it looks like it is coming out of there. Might
also be gconf2 but I'm not positive.
Comment 3 Orlando Arias 2008-07-27 21:02:46 EDT
Actually, that was just part of the output. The error output started before the
libgweather update. I control+z'd yum at that specific point, and inside the
screen session that is what was shown, so I copied/pasted. I did not append any
logging to yum, which is something I rather regret doing. Might be an issue with
gconf2, but it beats me why my laptop (pavilion dv6775us) doesn't present this
issue, and every time I try to put fedora on that box and update it, it goes
ballistic like that.
Comment 4 Dan Winship 2009-02-02 10:12:30 EST
(In reply to comment #3)
> Actually, that was just part of the output. The error output started before the
> libgweather update.

OK... reassigning to GConf2 then for now, though that still might not be right.

My best guess would be something like "the default system locale used to be non-UTF8, and so the gconf schemas got installed with that charset, and then you changed it to a UTF8 locale (or gconf got updated to always use UTF8), and now it's choking because of the mismatch". But I don't know if gconf really works that way... But is that possible (system used to have a non-UTF8 locale and now has a UTF8 one?)
Comment 5 Bug Zapper 2009-06-09 22:15:57 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 12:23:51 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.